Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cloud.load_balancers.pools.health_monitors.delete(
pool_id="00000000-0000-4000-8000-000000000000",
project_id=1,
region_id=1,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Cloud.LoadBalancers.Pools.HealthMonitors.Delete(
context.TODO(),
"00000000-0000-4000-8000-000000000000",
cloud.LoadBalancerPoolHealthMonitorDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
}curl --request DELETE \
--url https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}/{pool_id}/healthmonitor \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}/{pool_id}/healthmonitor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Load Balancers
Delete load balancer pool health monitor
Removes the health monitor from a load balancer pool. After deletion, the pool will no longer perform automatic health checks on its members, and all members will remain in rotation regardless of their actual health status.
DELETE
/
cloud
/
v1
/
lbpools
/
{project_id}
/
{region_id}
/
{pool_id}
/
healthmonitor
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cloud.load_balancers.pools.health_monitors.delete(
pool_id="00000000-0000-4000-8000-000000000000",
project_id=1,
region_id=1,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Cloud.LoadBalancers.Pools.HealthMonitors.Delete(
context.TODO(),
"00000000-0000-4000-8000-000000000000",
cloud.LoadBalancerPoolHealthMonitorDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Pool ID
Example:
"00000000-0000-4000-8000-000000000000"
Response
204
No Content
Was this page helpful?
⌘I